#
# spec file for package xchm
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xchm
Version:        1.23
Release:        0
Summary:        A wxWidgets CHM document viewer
License:        GPL-2.0+
Group:          Productivity/Graphics/Viewers
Url:            http://xchm.sf.net/

#Freecode-URL:	http://freecode.com/projects/xchm/
#Git-Clone:	git://git.code.sf.net/p/xchm/code
Source:         %name-%version.tar.xz
BuildRequires:  chmlib-devel
BuildRequires:  gcc-c++
BuildRequires:  wxWidgets-devel >= 2.8
BuildRequires:  xz

%description
xCHM is a cross-platform GUI frontend for CHMLIB, written with wxGTK.
It is able to display the topics tree, work with displayed pages
history, print the current page, work with bookmarks, change fonts
and fast search through all the pages of the loaded .chm document.
Being indirectly dependent on GTK+, the possibility of changing GTK+
skins makes xCHM theme-friendly.

%prep
%setup

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
%find_lang xchm

%files -f xchm.lang
%defattr(-,root,root)
%_bindir/xchm
%_datadir/pixmaps/xchm*
%doc COPYING

%changelog
